Subject: Re: [PATCH-2.4] forcedeth update to 0.50

From: Manfred Spraul <[email-masked]>
Date: Wed, 31 May 2006 07:50:32 +0200

Hi Willy,

Willy Tarreau wrote:

>I started from the latest backport you sent in september (0.42) and
>incrementally applied 2.6 updates. I stopped at 0.50 which provides
>VLAN support, because after this one, there are some 2.4-incompatible
>changes (64bit consistent memory allocation for rings, and MSI/MSIX
>support).
>
>  
>
I agree, 2.4 needs a backport. Either a full backport as you did, or a 
minimal one-liner fix.
Right now, the driver is not usable due to an incorrect initialization.
Or to be more accurate:
    # modprobe
    # ifup
works.
But
    # modprobe
    # ifup
    # ifdown
    # ifup
causes a misconfiguration, and the nic hangs hard after a few MB. And 
recent distros do the equivalent of ifup/ifdown/ifup somewhere in the 
initialization.

Marcelo: Do you need a one-liner, or could you apply a large backport patch?

--
    Manfred